List Customers
curl --request GET \
--url https://api.example.com/api/dashboard/customersimport requests
url = "https://api.example.com/api/dashboard/customers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/dashboard/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"full_name": "<string>",
"default_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"addresses": [
{
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
}
],
"accepts_marketing": true,
"orders_count": 123,
"total_spent": "<string>",
"average_order_value": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"source": "web",
"external_id": "<string>",
"phone": "<string>",
"first_name": "<string>",
"has_password": false,
"email_verified_at": "2023-11-07T05:31:56Z",
"marketing_opt_in": false,
"failed_login_count": 0,
"locked_until_at": "2023-11-07T05:31:56Z",
"saved_addresses": [],
"ig_username": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dashboard
List Customers
List all customers.
Search by email, name, or phone. Filter by source channel.
GET
/
api
/
dashboard
/
customers
List Customers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100